Bug 17415 - Use xaw3d for xdvi!
Use xaw3d for xdvi!
Product: Red Hat Raw Hide
Classification: Retired
Component: tetex (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-09-11 16:24 EDT by Sammy
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-05 10:36:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
$ xdvi ## *beNiceToColormap not set (10.09 KB, image/png)
2001-04-04 19:07 EDT, Enrico Scholz
no flags Details
$ xdvi ## *beNiceToColormap set to false (10.04 KB, image/png)
2001-04-04 19:08 EDT, Enrico Scholz
no flags Details

  None (edit)
Description Sammy 2000-09-11 16:24:20 EDT
If one uses Xaw3d instead of plain Xaw xdvi looks much nicer. I
have been recompiling tetex from rpm source (rawhide) and just
changing one line in xdvi Makefile to use  Xaw3d (rawhide). All
the buttons become 3d and looks great. I noticed that there are
other X applications that use Xaw3d (like xfig) in rawhide so this
would not be a revelutionary move!

Comment 1 Jeff Johnson 2000-12-27 15:36:35 EST
FIxed in tetex-1.0.7-9.
Comment 2 Enrico Scholz 2001-04-03 17:58:26 EDT
The Xaw3d-enabled xdvi from tetex-xdvi-1.0.9-13 looks very poor when it is used
without an appropriate resource-file (/usr/X11R6/lib/X11/app-defaults/Xdvi).
This is the case in a default RH installation.

I toke some values from the xfig resourcefile (especially the *shadowWidth ones)
and could improve the lookout significantly. But because I am very untalented in
configuring program-faces and have no documentation about the Xaw3d resources,
my resource-file is incomplete and won't hit the taste of other people. ;)

umar@compsci.cas.vanderbilt.edu, because you seem to have working
Xaw3d-resources, can you provide them here please?
Comment 3 Sammy 2001-04-04 10:13:28 EDT
Hi...thanks. Now there is a problem that I reported as bug, and that is the latest rawhide
xdvi does not read the file (does not include) /etc/X11/app-defaults/XDvi....instead it
reads /usr/share/texmf/xdvi/XDvi or if one has xdvi resources in .Xresources file.

My resources are:

xdvi*background: SlateBlue
xdvi.background: White
xdvi*foreground: White
xdvi.foreground: Black
xdvi.borderColor: Green
xdvi.borderWidth: 4
xdvi.highlight: Green
xdvi*font: -b&h-lucidatypewriter-medium-r-normal-sans-14-100-100-100-m-80-iso8859-1
XDvi*mfMode: ljfour
XDvi*pixelsPerInch: 600
XDvi*shrinkFactor: 6
XDvi*paper: a4
XDvi*wwwBrowser: netscape

NOTES: The xdvi* resources refer to the buttons and menu part of the window whereas
              xdvi. ones refer to the actual preview window part. mfmode and pixelsPerInch
              are different than your defaults but I would think most people use 600 by now.
              Playing with shrink factor greatly improves the resolution of the preview. I have
Comment 4 Tim Waugh 2001-04-04 11:28:50 EDT
Thanks.  I'll try to get most of these resources in the next build.  I'm wary 
of changing the shrink factor and pixelsPerInch, but the rest looks great.
Comment 5 Enrico Scholz 2001-04-04 19:05:50 EDT
The colors are nice but the 3D-effects looks a little bit scrappy here (I will
attach an image).
When putting 

*beNiceToColormap:           False

into the resource-file I can increase the lookout significantly.

I am running my X-server with 16bpp. Is it possible that X assumes the setting
above as default with 24 or 32bpp?
Comment 6 Enrico Scholz 2001-04-04 19:07:39 EDT
Created attachment 14663 [details]
$ xdvi  ## *beNiceToColormap not set
Comment 7 Enrico Scholz 2001-04-04 19:08:31 EDT
Created attachment 14664 [details]
$ xdvi  ## *beNiceToColormap set to false
Comment 8 Tim Waugh 2001-04-05 03:54:06 EDT
When you actually load a DVI file, the buttons actually look 3D.  The file 
dialog doesn't seem to be using the resources though.
Comment 9 Enrico Scholz 2001-04-05 04:46:12 EDT
The buttons there are blue but the shadow-effect is realized by dotted lines
still. Setting the *beNiceToColormap resource to false makes it look
significantly better too.

Has this resource any negative effects on displays with more than 8bpp? AFAIK
there are no colormaps which must be respected, so it can be set by default
Comment 10 Sammy 2001-04-05 10:36:35 EDT
I agree that setting xdvi*beNiceToColormap: False improves the look. I am using
16bpp and have no problems with this resource (although we are getting a bit

Looking into source I did not see any Xdvi or XDvi resource file and xdvi does not
seem to look for it except in /usr/share/texmf/xdvi/XDvi perhaps this can be done
in /usr/bin/xdvi script!

This is an unrelated question but is there a way to specify resources for that selFile
window that comes up when no file name is specified?

Comment 11 Tim Waugh 2001-04-19 05:30:41 EDT
Fixed in tetex-1.0.7-16.  I don't know about the selFile window though; I 
couldn't get that to look any prettier.

Note You need to log in before you can comment on or make changes to this bug.